## Release: 7.2.0 (2015/03/18)

Flux has undergone a lot of maintenance work and optimisations. The main goal has been to increase performance and remove
bottlenecks, and to make the Flux API simpler and more consistent to use. A lot of legacy support has been removed and the
existing support for template paths has been improved, bringing it completely into sync with the TYPO3 core. Overall, Flux
now uses much more of the TYPO3 core's code to do the job especially concerning the View aspect.

- Full TYPO3 7.1.0 support.

- Full TYPO3 6.2.0 support (including new composer autoloader feature).

- :exclamation: Legacy namespace support completely removed
  - It is no longer possible to use any of Flux classes by their legacy names. Switch to the proper vendor and namespace.

- Support for disabling the Fluid template compiler was removed. The TYPO3 `Development` context plus file monitoring now works.

* 2015-03-14 [BUGFIX] Completely match core behavior when resolving templates (Commit 3bd5fab by Claus Due)
* 2015-03-12 [FEATURE] ViewHelper to render Flux forms as HTML (Commit 92b9ba9 by Claus Due)
* 2015-03-12 [FEATURE] Create ViewHelper interfaces for Pipe concept (Commit b8ce95e by Claus Due)
* 2015-03-12 [BUGFIX] Controller name segment not added when resolving template file (Commit 398afac by Claus Due)
* 2015-03-10 [BUGFIX] Reverse-sort and reset array keys of template paths (Commit 574cd7d by Claus Due)
* 2015-03-10 [BUGFIX] Incorrect method called in modify() when creating wizards (Commit 8f70e1a by Claus Due)
* 2015-03-10 [FEATURE] Allow "options" of Form components to be selectively modified (Commit 2f09dc9 by Claus Due)
* 2015-03-10 [FEATURE] Add translation capability to Flux forms (Commit bf3920c by Claus Due)
* 2015-03-06 [BUGFIX] Don't trust the input ID for Provider hook methods (Commit 9899431 by Claus Due)
* 2015-03-04 [BUGFIX] Store record after truncating flexform (Commit 57fd59f by Claus Due)
* 2015-03-03 [FEATURE] Allow a removals array to be passed from Provider subclass (Commit 53356c8 by Claus Due)
* 2015-03-03 [BUGFIX] Assign variables to View when fetching Form instances (Commit f73b550 by Claus Due)
* 2015-03-03 [BUGFIX] Ensure ucfirst() on action when resolving template in TemplatePaths (Commit e702313 by Claus Due)
* 2015-03-03 [FEATURE] Extended overrides of Form properties through TypoScript (Commit 8fe7e6e by Claus Due)
* 2015-02-23 [BUGFIX] Fixed whitelist / blacklist in wizard hook (Commit a901a66 by Torsten Blindert)
* 2015-02-23 [BUGFIX] Require record and caller reference in icon hook (Commit b2e22a1 by Claus Due)
* 2015-02-22 [FEATURE] Add ExtensionNamingUtility::getExtensionSignature (Commit 4614f43 by Claus Due)
* 2015-02-22 [FEATURE] Add modify($structure) to Form Components (Commit 7dc89e5 by Claus Due)
* 2015-02-22 [FEATURE] Allow "enabled" flag on all Form components (Commit 9a02b01 by Claus Due)
* 2015-02-18 [BUGFIX] Fix trigger method for 'list' CType (Commit 8ef9010 by Göran Bodenschatz)
* 2015-02-18 [FEATURE] Add a toArray() method on TemplatePaths object (Commit 185f4bc by Claus Due)
* 2015-02-18 [FEATURE] Render record footer for nested content elements (Commit 62724fe by Claus Due)
* 2015-02-18 [FEATURE] Additional file resolving methods on TemplatePaths object (Commit d40f46f by Claus Due)
* 2015-02-16 [BUGFIX] Form null crashes Page -> Web (BE) (Commit d8e899c by jmverges)
* 2015-02-16 [BUGFIX] Wrong variable name crash FE (Commit 6e6e7ee by jmverges)
* 2015-02-15 [BUGFIX] Ensure correct extension key when resolving TS in AbstractFluxController (Commit a80b1e2 by Claus Due)
* 2015-02-15 [BUGFIX] Fix full match determining for resolving provider (Commit b66981d by G. Bodenschatz)
* 2015-02-15 [FEATURE] Allow custom Form subclasses without custom Provider (Commit 720da8e by Claus Due)
* 2015-02-07 [FEATURE] Implement ViewContext and TemplatePaths objects (Commit a2f4289 by Claus Due)
* 2014-10-28 [FEATURE] Display icon of Form associated with record (Commit 9f519ae by Claus Due)
* 2015-02-07 [BUGFIX] Avoid processing already absolute paths in ResolveUtility (Commit 211022a by Claus Due)
* 2015-02-06 [BUGFIX] Avoid setting Form option if form is NULL (Commit a11d0e6 by Claus Due)
* 2015-02-04 [BUGFIX] White/blacklist from parent instead of sibling (Commit 384a9a5 by Claus Due)
* 2015-01-22 [BUGFIX] Enforce serialize() on possible array value (Commit 5275e17 by Claus Due)
* 2015-01-20 [BUGFIX] Use enable fields on content get, fixes #743 (Commit ed6f782 by Danilo Bürger)
* 2015-01-18 [BUGFIX] Make Container form object getChildren return array (Commit cf11592 by Claus Due)
* 2015-01-18 [BUGFIX] Two incomplete usages of ViewHelperVariableContainer (Commit e6e1414 by Claus Due)
* 2015-01-17 [BUGFIX] Do not set drawItem variable in Preview (Commit 5a85ae4 by Charles Brunet)
* 2015-01-16 [FEATURE] Allow extensionName to be set by any Form component (Commit a9ec0b1 by Claus Due)
* 2015-01-16 [BUGFIX] Avoid issues when View paths are already absolute (Commit f851fcd by Claus Due)
* 2014-12-08 [BUGFIX] Use autoload-dev for composer classmap (Commit 694485f by Danilo Bürger)
* 2014-12-04 [BUGFIX] Transfer "table" argument to "allowed" in multiRelation field (Commit 203a7ae by Claus Due)
* 2014-12-04 [FEATURE] Finally complete planned flux:field.multiRelation (Commit f25c708 by Claus Due)
* 2014-11-23 [BUGFIX] Respect relative lll on container elements (Commit b9043f8 by Danilo Bürger)
* 2014-11-07 [BUGFIX] Change wrong brace expressions (Commit d50b8dd by G. Bodenschatz)
* 2014-11-07 [BUGFIX] BackendConfigurationManager retrieves wrong pageId (Commit 279e0fe by Philipp Maier)
* 2014-11-06 [BUGFIX] Assign the same view variables to form and grid (Commit d245fa8 by Danilo Bürger)
* 2014-11-19 [FEATURE] Introducing Form Option ViewHelpers (Commit 1a8e269 by Göran Bodenschatz)
* 2014-11-07 [BUGFIX] Change wrong brace expressions (Commit c11af28 by G. Bodenschatz)
* 2014-11-07 [BUGFIX] BackendConfigurationManager retrieves wrong pageId (Commit 5ffaf46 by Philipp Maier)
* 2014-11-07 [BUGFIX] Replace hovering js selector with :hover (Commit 03fa7c4 by Danilo Bürger)
* 2014-11-06 [BUGFIX] Replace hovering js selector with :hover (Commit c1fc28b by Danilo Bürger)
* 2014-11-06 [BUGFIX] Assign the same view variables to form and grid (Commit f9e16b0 by Danilo Bürger)
* 2014-11-03 [BUGFIX] Use TS rteDefaults as defaultExtras to enable rich text (Commit 607b47f by Danilo Bürger)
* 2014-11-03 [FEATURE] Implement convention based locations for template icons (Commit 7617371 by G. Bodenschatz)

Generated by:

```
git log --since="2014/10/30" --abbrev-commit --pretty='%ad %s (Commit %h by %an)' \
    --date=short | egrep '(\[FEATURE|BUGFIX|REMOVAL\])+'`
```

Full list of changes: https://github.com/FluidTYPO3/flux/compare/7.1.2...7.2.0

*Please note: the change list above does not contain any TASK commits since they are considered 
infrastructure-only and not relevant to end users. The full list includes these!*

