## Release: 7.4.0 (2015/05/16)

Minor release with a couple new features:
 
- The Flux Package API which allows a simple class to be implemented and control how Flux is integrated (which controllers your
  provider extension supports, the default template paths it uses, and more). See https://github.com/FluidTYPO3/flux/pull/1038.
- Flux form `options` can now be defined as dotted paths, for example `<flux:form.option name="FluidContent.sorting" value="100" />`.
  See https://github.com/FluidTYPO3/flux/pull/1042.
- Flux provider extensions can now be registered for any feature with a single command - filename conventions and detection then
  determine which features get enabled. See https://github.com/FluidTYPO3/flux/commit/1e379247567c0f94921de0f82be9dc5a638f5091.

And a very important bug fix:

- Bugfix for editing IRRE relations in a FlexForm, applying to both new and existing elements (workaround for TYPO3 issue below)
  - https://github.com/FluidTYPO3/flux/commit/6508a5fb26af1511ab5d6309d7e6ffffcc222f1d

Many other bug fixes are included for breaking changes in FormEngine.

* 2016-04-09 [BUGFIX] Avoid adding range in TCA if not specified (Commit 706f35c by monosize)
* 2016-04-08 [BUGFIX] Remove extra slash in path to language file for default sheet label (Commit ac152d8 by Markus Bischof)
* 2016-03-17 [BUGFIX] Correct data structure (Commit efc0bfc by K.Quiatkowski)
* 2016-03-16 [BUGFIX] Correct sys_language_uid in preview markup (Commit 41d15db by Benjamin Beck)
* 2016-03-14 [BUGFIX] Correct order of parameters (Commit 88ca4c8 by tpinne)
* 2016-03-07 [BUGFIX] Fallback to page-unaware ConfigurationManager (Commit fe31dda by Claus Due)
* 2016-03-03 [BUGFIX] Label of content area not translated (Commit 718365c by Claus Due)
* 2016-02-15 [BUGFIX] Use correct value tx_flux_parent in workspaces (Commit affce83 by mjankiewicz)
* 2016-02-12 [BUGFIX] Workspaces/nested elements correct check for pid (Commit 8efe39d by MJ)
* 2016-02-18 [BUGFIX] Improve label handling (Commit 81bb392 by Claus Due)
* 2016-02-18 [BUGFIX] Patch for new FormEngine and IRRE editing (Commit 6508a5f by Claus Due)
* 2016-01-31 [BUGFIX] Fixes list view fatal error for 7 LTS (Commit b8d874a by Juan Manuel Vergés Solanas)
* 2016-01-30 [BUGFIX] Make Flux cache configuration accessible in install tool (Commit e68a91c by Claus Due)
* 2016-01-25 [BUGFIX] Fix translation Handling The ContentService always "fell back" to the default sys_language_uid content element to fill out the "tx_flux_parent" column, when you translate a content element. This produces more problems down the line, etc. This Change fixes that behavior, by unsetting the translatedParent variable if no matching translatedParent was found. (Commit 89a434c by Marc Neuhaus)
* 2016-01-20 [BUGFIX] Maintain uid and pid of original page (Commit 3612f9f by Benedict Burckhart)
* 2016-01-08 [BUGFIX] Data Structure ERROR: No ['ROOT']['el'] element found in flex form definition. (Commit 8078d3e by monosize)
* 2016-01-07 [BUGFIX] Prevent duplicate tceforms wrapping (Commit b3082b3 by Marc Neuhaus)
* 2016-01-06 [BUGFIX] Replace internalType Argument by useFalRelation (Commit caa7df6 by Marc Neuhaus)
* 2016-01-06 [BUGFIX] Add check for existing TCEforms wrapper before wrapping (Commit 6a7a98b by Claus Due)
* 2016-01-04 [BUGFIX] Patch TCA when applied in FlexForm context (Commit cf06c0f by Claus Due)
* 2016-01-03 [BUGFIX] Throw PackageNotFoundException to avoid fatal error (Commit 22af7f1 by Claus Due)
* 2015-12-28 [BUGFIX] Update ListViewHelper.php (Commit 863408b by Kersten Burkhardt)
* 2015-12-12 [BUGFIX] Prevent Form component from becoming child of self (Commit 93afbf0 by Claus Due)
* 2015-12-07 [FEATURE] Package API (Commit a55c2b8 by Claus Due)
* 2015-12-11 [BUGFIX] Fix pluginSignature to properly find request arguments (Commit 04d3edf by Marc Neuhaus)
* 2015-12-09 [FEATURE] Allows paths like Fluidcontent.allowedContentTypes as variable names (Commit c1a273d by Juan Manuel Verges Solanas)
* 2015-12-04 [BUGFIX] Initialize TCA foreignSelector as null rather than empty string (Commit 8269553 by Jeff Segars)
* 2015-11-29 [FEATURE] Adds renderType and format arguments to TextViewHelper to be able to render t3editor (Commit b2b7ec8 by Juan Manuel Verges Solanas)
* 2015-11-26 [FEATURE] Implement renderType as required by FormEngine (Commit f0e74d3 by Claus Due)
* 2015-11-19 [FEATURE] Add Tree/CategoryViewHelper (Commit e9ecf23 by Marc Neuhaus)

Generated by:

```
git log --since="2015/11/19" --abbrev-commit --pretty='%ad %s (Commit %h by %an)' \
    --date=short | egrep '(\[FEATURE|BUGFIX|REMOVAL\])+'`
```

Full list of changes: https://github.com/FluidTYPO3/flux/compare/7.3.0...7.4.0

*Please note: the change list above does not contain any TASK commits since they are considered 
infrastructure-only and not relevant to end users. The full list includes these!*

